<script setup lang="ts">
import { useInventoryStore } from '../store/inventory'
const store = useInventoryStore()

function handleHighlight(min: number, balance: number) {
  if (store.isLowStock(min, balance)) {
    return 'text-red'
  } else {
    return ''
  }
}
</script>

<template>
  <v-data-table
    fixed-header
    :headers="store.headers"
    :items="store.getInventoryItems"
    class="h-100"
  >
    <template #item="{ item }">
      <tr :class="handleHighlight(item.minBalance, item.balance)">
        <td>{{ item.id }}</td>
        <td>{{ item.ingredient?.name }}</td>
        <td>{{ item.minBalance }}</td>
        <td>{{ item.balance }}</td>
        <td>{{ item.ingredient?.unit }}</td>
        <td>{{ `${item.value} ฿` }}</td>
        <td>{{ store.statusTextChecking(item.minBalance, item.balance) }}</td>
      </tr>
    </template>
  </v-data-table>
</template>
